{% extends 'base.html.twig' %}

{% block title %}Hello MainController!{% endblock %}

{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <div class="example-wrapper">
        <h1>Hello {{ controller_name }}! ✅</h1>


        <h3>Livres à vendre</h3>
        <table class="table">
            <thead>
            <tr>
                <th></th>
                <th>N°</th>
                <th>Titre</th>
                <th>Auteur</th>
                <th>Date de publication</th>
                <th>Prix</th>
                <th>Stock</th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            {% for livre in livres %}
                <tr>
                    <td><input type="checkbox" class="checkbox_livre" /></td>
                    <td>{{ livre.id }}</td>
                    <td><em>{{ livre.nom }}</em></td>
                    <td>{{ livre.auteur }}</td>
                    <td>{{ livre.datePublication }}</td>
                    <td>{{ livre.prix }} €</td>
                    <td>{{ livre.stock }}</td>
                    <td>
                        {% if livre.stock > 0 %}
                        <button onclick="reservationLivre({{ livre.id }}, {{ livre.stock }})">Réserver</button>
                        {% endif %}
                        <button onclick="returnLivre({{ livre.id }}, {{ livre.stock }})">Retourner</button>
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script type="text/javascript">

        function reservationLivre(idLivre, stock){
            $.post('{{ path('reservation_livre') }}', {
                id: idLivre,
                stock: stock,
            }, function (res) {
                if(res.res === true) {
                    location.reload();
                } else {
                    alert(res.error);
                }
            });
        }
        function returnLivre(idLivre, stock){
            $.post('{{ path('return_livre') }}', {
                id: idLivre,
                stock: stock,
            }, function (res) {
                if(res.res === true) {
                    location.reload();
                } else {
                    alert(res.error);
                }
            });
        }

    </script>
{% endblock %}
